Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.axis2.hooks
Class ODEAxisServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.apache.axis2.transport.http.AxisServlet
                  org.apache.ode.axis2.hooks.ODEAxisServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig, org.apache.axis2.transport.TransportListener

    public class ODEAxisServlet

extends org.apache.axis2.transport.http.AxisServlet

Overrides standard AxisServlet to handle our service configurations and deployment ourselves.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.axis2.transport.http.AxisServlet
`org.apache.axis2.transport.http.AxisServlet.RestRequestProcessor, org.apache.axis2.transport.http.AxisServlet.ServletRequestResponseTransport`

Field Summary

Fields inherited from class org.apache.axis2.transport.http.AxisServlet
`axisConfiguration, configContext, CONFIGURATION_CONTEXT, disableREST, servletConfig, SESSION_ID`

Fields inherited from interface org.apache.axis2.transport.TransportListener
`HOST_ADDRESS, PARAM_PORT`

Constructor Summary
`ODEAxisServlet()`

Method Summary
`protected ODEServer` | `createODEServer()`
`protected void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`ODEServer` | `getODEServer()` Returns the ODEServer instance which has been created by the servlet.
`void` | `init()`
`void` | `init(javax.servlet.ServletConfig config)` Initialize the Axis configuration context
`void` | `stop()`

Methods inherited from class org.apache.axis2.transport.http.AxisServlet
`createMessageContext, createMessageContext, destroy, doDelete, doPost, doPut, getEPRForService, getEPRsForService, getSessionContext, getTransportHeaders, handleFault, init, initConfigContext, initContextRoot, initParams, showRestDisabledErrorMessage, start`

Methods inherited from class javax.servlet.http.HttpServlet
`doHead, doOptions, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ODEAxisServlet

    public ODEAxisServlet()

Method Detail

### init

    public void init(javax.servlet.ServletConfig config)
              throws javax.servlet.ServletException

  Initialize the Axis configuration context

  Specified by:
    `init` in interface `javax.servlet.Servlet`
  Overrides:
    `init` in class `org.apache.axis2.transport.http.AxisServlet`
  Parameters:
    `config` - Servlet configuration
  Throws:
    `javax.servlet.ServletException`

### init

    public void init()
              throws javax.servlet.ServletException

  Overrides:
    `init` in class `org.apache.axis2.transport.http.AxisServlet`
  Throws:
    `javax.servlet.ServletException`

### doGet

    protected void doGet(javax.servlet.http.HttpServletRequest request,
                         javax.servlet.http.HttpServletResponse response)
                  throws javax.servlet.ServletException,
                         java.io.IOException

  Overrides:
    `doGet` in class `org.apache.axis2.transport.http.AxisServlet`
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### stop

    public void stop()
              throws org.apache.axis2.AxisFault

  Specified by:
    `stop` in interface `org.apache.axis2.transport.TransportListener`
  Overrides:
    `stop` in class `org.apache.axis2.transport.http.AxisServlet`
  Throws:
    `org.apache.axis2.AxisFault`

### createODEServer

    protected ODEServer createODEServer()

### getODEServer

    public ODEServer getODEServer()

  Returns the ODEServer instance which has been created by the servlet. Must be called after init() has been called by the servlet engine or null will be returned.

  Returns:
    the ODEServer instance being used by the servlet or null if init() has not yet been called by the servlet engine

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD